Groovy Documentation

## org.codehaus.groovy.grails.commons.spring
[Java] Class ReloadAwareAutowireCapableBeanFactory

    java.lang.Object
      org.springframework.beans.factory.support.DefaultListableBeanFactory
          org.codehaus.groovy.grails.commons.spring.ReloadAwareAutowireCapableBeanFactory

    public class ReloadAwareAutowireCapableBeanFactory
    extends DefaultListableBeanFactory

A BeanFactory that can deal with class cast exceptions that may occur due to class reload events and then attempt to reload the bean being instantiated to avoid them. Caches autowiring for beans (mainly controllers & domain class instances). Bypasses autowiring if there are no beans for the properties in the class. Caching is only used in environments where reloading is not enabled.

Authors:
  Graeme Rocher

Since:
  1.1.1

  Created: May 8, 2009

Constructor Summary
`ReloadAwareAutowireCapableBeanFactory()` Default constructor.

Method Summary
`void` | `autowireBeanProperties(java.lang.Object existingBean, int autowireMode, boolean dependencyCheck)`
`protected void` | `autowireByName(java.lang.String beanName, AbstractBeanDefinition mbd, BeanWrapper bw, MutablePropertyValues pvs)`
`protected java.lang.Object` | `doCreateBean(java.lang.String beanName, RootBeanDefinition mbd, Object[] args)`
`protected boolean` | `isExcludedFromDependencyCheck(java.beans.PropertyDescriptor pd)`

Constructor Detail

### ReloadAwareAutowireCapableBeanFactory

    public ReloadAwareAutowireCapableBeanFactory()

  Default constructor.

Method Detail

### autowireBeanProperties

    @Override
    public void autowireBeanProperties(java.lang.Object existingBean, int autowireMode, boolean dependencyCheck)

### autowireByName

    @Override
    protected void autowireByName(java.lang.String beanName, AbstractBeanDefinition mbd, BeanWrapper bw, MutablePropertyValues pvs)

### doCreateBean

    @Override
    protected java.lang.Object doCreateBean(java.lang.String beanName, RootBeanDefinition mbd, Object[] args)

### isExcludedFromDependencyCheck

    @Override
    protected boolean isExcludedFromDependencyCheck(java.beans.PropertyDescriptor pd)

Groovy Documentation